IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network55.128.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
- Network address
55.128.0.0- Broadcast address
55.191.255.255- First usable
55.128.0.1- Last usable
55.191.255.254- Usable hosts
- 4,194,302 (4,194,304 less the network and broadcast addresses)
- Subnet mask
255.192.0.0- Wildcard mask
0.63.255.255(Cisco ACLs, OSPF)- Prefix length
- /10
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
37800000· Integer931135488to935329791 - Reverse DNS zones
128.55.in-addr.arpa129.55.in-addr.arpa130.55.in-addr.arpa131.55.in-addr.arpa132.55.in-addr.arpa133.55.in-addr.arpa134.55.in-addr.arpa135.55.in-addr.arpa136.55.in-addr.arpa137.55.in-addr.arpa138.55.in-addr.arpa139.55.in-addr.arpa140.55.in-addr.arpa141.55.in-addr.arpa142.55.in-addr.arpa143.55.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00110111.10000000.00000000.00000000 | 55.128.0.0 |
| Subnet mask | 11111111.11000000.00000000.00000000 | 255.192.0.0 |
| Network | 00110111.10000000.00000000.00000000 | 55.128.0.0 |
| Broadcast | 00110111.10111111.11111111.11111111 | 55.191.255.255 |
Split into smaller subnets
/11 (2)/12 (4)/13 (8)/14 (16)/15 (32)/16 (64)/17 (128)/18 (256)/19 (512)/20 (1,024)/21 (2,048)/22 (4,096)
55.128.0.0/10 makes 2,048 subnets of /21; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 55.128.0.0/21 | 55.128.0.1 to 55.128.7.254 | 55.128.7.255 | 2,046 |
| 2 | 55.128.8.0/21 | 55.128.8.1 to 55.128.15.254 | 55.128.15.255 | 2,046 |
| 3 | 55.128.16.0/21 | 55.128.16.1 to 55.128.23.254 | 55.128.23.255 | 2,046 |
| 4 | 55.128.24.0/21 | 55.128.24.1 to 55.128.31.254 | 55.128.31.255 | 2,046 |
| 5 | 55.128.32.0/21 | 55.128.32.1 to 55.128.39.254 | 55.128.39.255 | 2,046 |
| 6 | 55.128.40.0/21 | 55.128.40.1 to 55.128.47.254 | 55.128.47.255 | 2,046 |
| 7 | 55.128.48.0/21 | 55.128.48.1 to 55.128.55.254 | 55.128.55.255 | 2,046 |
| 8 | 55.128.56.0/21 | 55.128.56.1 to 55.128.63.254 | 55.128.63.255 | 2,046 |
| 9 | 55.128.64.0/21 | 55.128.64.1 to 55.128.71.254 | 55.128.71.255 | 2,046 |
| 10 | 55.128.72.0/21 | 55.128.72.1 to 55.128.79.254 | 55.128.79.255 | 2,046 |
| 11 | 55.128.80.0/21 | 55.128.80.1 to 55.128.87.254 | 55.128.87.255 | 2,046 |
| 12 | 55.128.88.0/21 | 55.128.88.1 to 55.128.95.254 | 55.128.95.255 | 2,046 |
| 13 | 55.128.96.0/21 | 55.128.96.1 to 55.128.103.254 | 55.128.103.255 | 2,046 |
| 14 | 55.128.104.0/21 | 55.128.104.1 to 55.128.111.254 | 55.128.111.255 | 2,046 |
| 15 | 55.128.112.0/21 | 55.128.112.1 to 55.128.119.254 | 55.128.119.255 | 2,046 |
| 16 | 55.128.120.0/21 | 55.128.120.1 to 55.128.127.254 | 55.128.127.255 | 2,046 |
| 17 | 55.128.128.0/21 | 55.128.128.1 to 55.128.135.254 | 55.128.135.255 | 2,046 |
| 18 | 55.128.136.0/21 | 55.128.136.1 to 55.128.143.254 | 55.128.143.255 | 2,046 |
| 19 | 55.128.144.0/21 | 55.128.144.1 to 55.128.151.254 | 55.128.151.255 | 2,046 |
| 20 | 55.128.152.0/21 | 55.128.152.1 to 55.128.159.254 | 55.128.159.255 | 2,046 |
| 21 | 55.128.160.0/21 | 55.128.160.1 to 55.128.167.254 | 55.128.167.255 | 2,046 |
| 22 | 55.128.168.0/21 | 55.128.168.1 to 55.128.175.254 | 55.128.175.255 | 2,046 |
| 23 | 55.128.176.0/21 | 55.128.176.1 to 55.128.183.254 | 55.128.183.255 | 2,046 |
| 24 | 55.128.184.0/21 | 55.128.184.1 to 55.128.191.254 | 55.128.191.255 | 2,046 |
| 25 | 55.128.192.0/21 | 55.128.192.1 to 55.128.199.254 | 55.128.199.255 | 2,046 |
| 26 | 55.128.200.0/21 | 55.128.200.1 to 55.128.207.254 | 55.128.207.255 | 2,046 |
| 27 | 55.128.208.0/21 | 55.128.208.1 to 55.128.215.254 | 55.128.215.255 | 2,046 |
| 28 | 55.128.216.0/21 | 55.128.216.1 to 55.128.223.254 | 55.128.223.255 | 2,046 |
| 29 | 55.128.224.0/21 | 55.128.224.1 to 55.128.231.254 | 55.128.231.255 | 2,046 |
| 30 | 55.128.232.0/21 | 55.128.232.1 to 55.128.239.254 | 55.128.239.255 | 2,046 |
| 31 | 55.128.240.0/21 | 55.128.240.1 to 55.128.247.254 | 55.128.247.255 | 2,046 |
| 32 | 55.128.248.0/21 | 55.128.248.1 to 55.128.255.254 | 55.128.255.255 | 2,046 |
| 33 | 55.129.0.0/21 | 55.129.0.1 to 55.129.7.254 | 55.129.7.255 | 2,046 |
| 34 | 55.129.8.0/21 | 55.129.8.1 to 55.129.15.254 | 55.129.15.255 | 2,046 |
| 35 | 55.129.16.0/21 | 55.129.16.1 to 55.129.23.254 | 55.129.23.255 | 2,046 |
| 36 | 55.129.24.0/21 | 55.129.24.1 to 55.129.31.254 | 55.129.31.255 | 2,046 |
| 37 | 55.129.32.0/21 | 55.129.32.1 to 55.129.39.254 | 55.129.39.255 | 2,046 |
| 38 | 55.129.40.0/21 | 55.129.40.1 to 55.129.47.254 | 55.129.47.255 | 2,046 |
| 39 | 55.129.48.0/21 | 55.129.48.1 to 55.129.55.254 | 55.129.55.255 | 2,046 |
| 40 | 55.129.56.0/21 | 55.129.56.1 to 55.129.63.254 | 55.129.63.255 | 2,046 |
| 41 | 55.129.64.0/21 | 55.129.64.1 to 55.129.71.254 | 55.129.71.255 | 2,046 |
| 42 | 55.129.72.0/21 | 55.129.72.1 to 55.129.79.254 | 55.129.79.255 | 2,046 |
| 43 | 55.129.80.0/21 | 55.129.80.1 to 55.129.87.254 | 55.129.87.255 | 2,046 |
| 44 | 55.129.88.0/21 | 55.129.88.1 to 55.129.95.254 | 55.129.95.255 | 2,046 |
| 45 | 55.129.96.0/21 | 55.129.96.1 to 55.129.103.254 | 55.129.103.255 | 2,046 |
| 46 | 55.129.104.0/21 | 55.129.104.1 to 55.129.111.254 | 55.129.111.255 | 2,046 |
| 47 | 55.129.112.0/21 | 55.129.112.1 to 55.129.119.254 | 55.129.119.255 | 2,046 |
| 48 | 55.129.120.0/21 | 55.129.120.1 to 55.129.127.254 | 55.129.127.255 | 2,046 |
| 49 | 55.129.128.0/21 | 55.129.128.1 to 55.129.135.254 | 55.129.135.255 | 2,046 |
| 50 | 55.129.136.0/21 | 55.129.136.1 to 55.129.143.254 | 55.129.143.255 | 2,046 |
| 51 | 55.129.144.0/21 | 55.129.144.1 to 55.129.151.254 | 55.129.151.255 | 2,046 |
| 52 | 55.129.152.0/21 | 55.129.152.1 to 55.129.159.254 | 55.129.159.255 | 2,046 |
| 53 | 55.129.160.0/21 | 55.129.160.1 to 55.129.167.254 | 55.129.167.255 | 2,046 |
| 54 | 55.129.168.0/21 | 55.129.168.1 to 55.129.175.254 | 55.129.175.255 | 2,046 |
| 55 | 55.129.176.0/21 | 55.129.176.1 to 55.129.183.254 | 55.129.183.255 | 2,046 |
| 56 | 55.129.184.0/21 | 55.129.184.1 to 55.129.191.254 | 55.129.191.255 | 2,046 |
| 57 | 55.129.192.0/21 | 55.129.192.1 to 55.129.199.254 | 55.129.199.255 | 2,046 |
| 58 | 55.129.200.0/21 | 55.129.200.1 to 55.129.207.254 | 55.129.207.255 | 2,046 |
| 59 | 55.129.208.0/21 | 55.129.208.1 to 55.129.215.254 | 55.129.215.255 | 2,046 |
| 60 | 55.129.216.0/21 | 55.129.216.1 to 55.129.223.254 | 55.129.223.255 | 2,046 |
| 61 | 55.129.224.0/21 | 55.129.224.1 to 55.129.231.254 | 55.129.231.255 | 2,046 |
| 62 | 55.129.232.0/21 | 55.129.232.1 to 55.129.239.254 | 55.129.239.255 | 2,046 |
| 63 | 55.129.240.0/21 | 55.129.240.1 to 55.129.247.254 | 55.129.247.255 | 2,046 |
| 64 | 55.129.248.0/21 | 55.129.248.1 to 55.129.255.254 | 55.129.255.255 | 2,046 |
| 65 | 55.130.0.0/21 | 55.130.0.1 to 55.130.7.254 | 55.130.7.255 | 2,046 |
| 66 | 55.130.8.0/21 | 55.130.8.1 to 55.130.15.254 | 55.130.15.255 | 2,046 |
| 67 | 55.130.16.0/21 | 55.130.16.1 to 55.130.23.254 | 55.130.23.255 | 2,046 |
| 68 | 55.130.24.0/21 | 55.130.24.1 to 55.130.31.254 | 55.130.31.255 | 2,046 |
| 69 | 55.130.32.0/21 | 55.130.32.1 to 55.130.39.254 | 55.130.39.255 | 2,046 |
| 70 | 55.130.40.0/21 | 55.130.40.1 to 55.130.47.254 | 55.130.47.255 | 2,046 |
| 71 | 55.130.48.0/21 | 55.130.48.1 to 55.130.55.254 | 55.130.55.255 | 2,046 |
| 72 | 55.130.56.0/21 | 55.130.56.1 to 55.130.63.254 | 55.130.63.255 | 2,046 |
| 73 | 55.130.64.0/21 | 55.130.64.1 to 55.130.71.254 | 55.130.71.255 | 2,046 |
| 74 | 55.130.72.0/21 | 55.130.72.1 to 55.130.79.254 | 55.130.79.255 | 2,046 |
| 75 | 55.130.80.0/21 | 55.130.80.1 to 55.130.87.254 | 55.130.87.255 | 2,046 |
| 76 | 55.130.88.0/21 | 55.130.88.1 to 55.130.95.254 | 55.130.95.255 | 2,046 |
| 77 | 55.130.96.0/21 | 55.130.96.1 to 55.130.103.254 | 55.130.103.255 | 2,046 |
| 78 | 55.130.104.0/21 | 55.130.104.1 to 55.130.111.254 | 55.130.111.255 | 2,046 |
| 79 | 55.130.112.0/21 | 55.130.112.1 to 55.130.119.254 | 55.130.119.255 | 2,046 |
| 80 | 55.130.120.0/21 | 55.130.120.1 to 55.130.127.254 | 55.130.127.255 | 2,046 |
| 81 | 55.130.128.0/21 | 55.130.128.1 to 55.130.135.254 | 55.130.135.255 | 2,046 |
| 82 | 55.130.136.0/21 | 55.130.136.1 to 55.130.143.254 | 55.130.143.255 | 2,046 |
| 83 | 55.130.144.0/21 | 55.130.144.1 to 55.130.151.254 | 55.130.151.255 | 2,046 |
| 84 | 55.130.152.0/21 | 55.130.152.1 to 55.130.159.254 | 55.130.159.255 | 2,046 |
| 85 | 55.130.160.0/21 | 55.130.160.1 to 55.130.167.254 | 55.130.167.255 | 2,046 |
| 86 | 55.130.168.0/21 | 55.130.168.1 to 55.130.175.254 | 55.130.175.255 | 2,046 |
| 87 | 55.130.176.0/21 | 55.130.176.1 to 55.130.183.254 | 55.130.183.255 | 2,046 |
| 88 | 55.130.184.0/21 | 55.130.184.1 to 55.130.191.254 | 55.130.191.255 | 2,046 |
| 89 | 55.130.192.0/21 | 55.130.192.1 to 55.130.199.254 | 55.130.199.255 | 2,046 |
| 90 | 55.130.200.0/21 | 55.130.200.1 to 55.130.207.254 | 55.130.207.255 | 2,046 |
| 91 | 55.130.208.0/21 | 55.130.208.1 to 55.130.215.254 | 55.130.215.255 | 2,046 |
| 92 | 55.130.216.0/21 | 55.130.216.1 to 55.130.223.254 | 55.130.223.255 | 2,046 |
| 93 | 55.130.224.0/21 | 55.130.224.1 to 55.130.231.254 | 55.130.231.255 | 2,046 |
| 94 | 55.130.232.0/21 | 55.130.232.1 to 55.130.239.254 | 55.130.239.255 | 2,046 |
| 95 | 55.130.240.0/21 | 55.130.240.1 to 55.130.247.254 | 55.130.247.255 | 2,046 |
| 96 | 55.130.248.0/21 | 55.130.248.1 to 55.130.255.254 | 55.130.255.255 | 2,046 |
| 97 | 55.131.0.0/21 | 55.131.0.1 to 55.131.7.254 | 55.131.7.255 | 2,046 |
| 98 | 55.131.8.0/21 | 55.131.8.1 to 55.131.15.254 | 55.131.15.255 | 2,046 |
| 99 | 55.131.16.0/21 | 55.131.16.1 to 55.131.23.254 | 55.131.23.255 | 2,046 |
| 100 | 55.131.24.0/21 | 55.131.24.1 to 55.131.31.254 | 55.131.31.255 | 2,046 |
| 101 | 55.131.32.0/21 | 55.131.32.1 to 55.131.39.254 | 55.131.39.255 | 2,046 |
| 102 | 55.131.40.0/21 | 55.131.40.1 to 55.131.47.254 | 55.131.47.255 | 2,046 |
| 103 | 55.131.48.0/21 | 55.131.48.1 to 55.131.55.254 | 55.131.55.255 | 2,046 |
| 104 | 55.131.56.0/21 | 55.131.56.1 to 55.131.63.254 | 55.131.63.255 | 2,046 |
| 105 | 55.131.64.0/21 | 55.131.64.1 to 55.131.71.254 | 55.131.71.255 | 2,046 |
| 106 | 55.131.72.0/21 | 55.131.72.1 to 55.131.79.254 | 55.131.79.255 | 2,046 |
| 107 | 55.131.80.0/21 | 55.131.80.1 to 55.131.87.254 | 55.131.87.255 | 2,046 |
| 108 | 55.131.88.0/21 | 55.131.88.1 to 55.131.95.254 | 55.131.95.255 | 2,046 |
| 109 | 55.131.96.0/21 | 55.131.96.1 to 55.131.103.254 | 55.131.103.255 | 2,046 |
| 110 | 55.131.104.0/21 | 55.131.104.1 to 55.131.111.254 | 55.131.111.255 | 2,046 |
| 111 | 55.131.112.0/21 | 55.131.112.1 to 55.131.119.254 | 55.131.119.255 | 2,046 |
| 112 | 55.131.120.0/21 | 55.131.120.1 to 55.131.127.254 | 55.131.127.255 | 2,046 |
| 113 | 55.131.128.0/21 | 55.131.128.1 to 55.131.135.254 | 55.131.135.255 | 2,046 |
| 114 | 55.131.136.0/21 | 55.131.136.1 to 55.131.143.254 | 55.131.143.255 | 2,046 |
| 115 | 55.131.144.0/21 | 55.131.144.1 to 55.131.151.254 | 55.131.151.255 | 2,046 |
| 116 | 55.131.152.0/21 | 55.131.152.1 to 55.131.159.254 | 55.131.159.255 | 2,046 |
| 117 | 55.131.160.0/21 | 55.131.160.1 to 55.131.167.254 | 55.131.167.255 | 2,046 |
| 118 | 55.131.168.0/21 | 55.131.168.1 to 55.131.175.254 | 55.131.175.255 | 2,046 |
| 119 | 55.131.176.0/21 | 55.131.176.1 to 55.131.183.254 | 55.131.183.255 | 2,046 |
| 120 | 55.131.184.0/21 | 55.131.184.1 to 55.131.191.254 | 55.131.191.255 | 2,046 |
| 121 | 55.131.192.0/21 | 55.131.192.1 to 55.131.199.254 | 55.131.199.255 | 2,046 |
| 122 | 55.131.200.0/21 | 55.131.200.1 to 55.131.207.254 | 55.131.207.255 | 2,046 |
| 123 | 55.131.208.0/21 | 55.131.208.1 to 55.131.215.254 | 55.131.215.255 | 2,046 |
| 124 | 55.131.216.0/21 | 55.131.216.1 to 55.131.223.254 | 55.131.223.255 | 2,046 |
| 125 | 55.131.224.0/21 | 55.131.224.1 to 55.131.231.254 | 55.131.231.255 | 2,046 |
| 126 | 55.131.232.0/21 | 55.131.232.1 to 55.131.239.254 | 55.131.239.255 | 2,046 |
| 127 | 55.131.240.0/21 | 55.131.240.1 to 55.131.247.254 | 55.131.247.255 | 2,046 |
| 128 | 55.131.248.0/21 | 55.131.248.1 to 55.131.255.254 | 55.131.255.255 | 2,046 |
| 129 | 55.132.0.0/21 | 55.132.0.1 to 55.132.7.254 | 55.132.7.255 | 2,046 |
| 130 | 55.132.8.0/21 | 55.132.8.1 to 55.132.15.254 | 55.132.15.255 | 2,046 |
| 131 | 55.132.16.0/21 | 55.132.16.1 to 55.132.23.254 | 55.132.23.255 | 2,046 |
| 132 | 55.132.24.0/21 | 55.132.24.1 to 55.132.31.254 | 55.132.31.255 | 2,046 |
| 133 | 55.132.32.0/21 | 55.132.32.1 to 55.132.39.254 | 55.132.39.255 | 2,046 |
| 134 | 55.132.40.0/21 | 55.132.40.1 to 55.132.47.254 | 55.132.47.255 | 2,046 |
| 135 | 55.132.48.0/21 | 55.132.48.1 to 55.132.55.254 | 55.132.55.255 | 2,046 |
| 136 | 55.132.56.0/21 | 55.132.56.1 to 55.132.63.254 | 55.132.63.255 | 2,046 |
| 137 | 55.132.64.0/21 | 55.132.64.1 to 55.132.71.254 | 55.132.71.255 | 2,046 |
| 138 | 55.132.72.0/21 | 55.132.72.1 to 55.132.79.254 | 55.132.79.255 | 2,046 |
| 139 | 55.132.80.0/21 | 55.132.80.1 to 55.132.87.254 | 55.132.87.255 | 2,046 |
| 140 | 55.132.88.0/21 | 55.132.88.1 to 55.132.95.254 | 55.132.95.255 | 2,046 |
| 141 | 55.132.96.0/21 | 55.132.96.1 to 55.132.103.254 | 55.132.103.255 | 2,046 |
| 142 | 55.132.104.0/21 | 55.132.104.1 to 55.132.111.254 | 55.132.111.255 | 2,046 |
| 143 | 55.132.112.0/21 | 55.132.112.1 to 55.132.119.254 | 55.132.119.255 | 2,046 |
| 144 | 55.132.120.0/21 | 55.132.120.1 to 55.132.127.254 | 55.132.127.255 | 2,046 |
| 145 | 55.132.128.0/21 | 55.132.128.1 to 55.132.135.254 | 55.132.135.255 | 2,046 |
| 146 | 55.132.136.0/21 | 55.132.136.1 to 55.132.143.254 | 55.132.143.255 | 2,046 |
| 147 | 55.132.144.0/21 | 55.132.144.1 to 55.132.151.254 | 55.132.151.255 | 2,046 |
| 148 | 55.132.152.0/21 | 55.132.152.1 to 55.132.159.254 | 55.132.159.255 | 2,046 |
| 149 | 55.132.160.0/21 | 55.132.160.1 to 55.132.167.254 | 55.132.167.255 | 2,046 |
| 150 | 55.132.168.0/21 | 55.132.168.1 to 55.132.175.254 | 55.132.175.255 | 2,046 |
| 151 | 55.132.176.0/21 | 55.132.176.1 to 55.132.183.254 | 55.132.183.255 | 2,046 |
| 152 | 55.132.184.0/21 | 55.132.184.1 to 55.132.191.254 | 55.132.191.255 | 2,046 |
| 153 | 55.132.192.0/21 | 55.132.192.1 to 55.132.199.254 | 55.132.199.255 | 2,046 |
| 154 | 55.132.200.0/21 | 55.132.200.1 to 55.132.207.254 | 55.132.207.255 | 2,046 |
| 155 | 55.132.208.0/21 | 55.132.208.1 to 55.132.215.254 | 55.132.215.255 | 2,046 |
| 156 | 55.132.216.0/21 | 55.132.216.1 to 55.132.223.254 | 55.132.223.255 | 2,046 |
| 157 | 55.132.224.0/21 | 55.132.224.1 to 55.132.231.254 | 55.132.231.255 | 2,046 |
| 158 | 55.132.232.0/21 | 55.132.232.1 to 55.132.239.254 | 55.132.239.255 | 2,046 |
| 159 | 55.132.240.0/21 | 55.132.240.1 to 55.132.247.254 | 55.132.247.255 | 2,046 |
| 160 | 55.132.248.0/21 | 55.132.248.1 to 55.132.255.254 | 55.132.255.255 | 2,046 |
| 161 | 55.133.0.0/21 | 55.133.0.1 to 55.133.7.254 | 55.133.7.255 | 2,046 |
| 162 | 55.133.8.0/21 | 55.133.8.1 to 55.133.15.254 | 55.133.15.255 | 2,046 |
| 163 | 55.133.16.0/21 | 55.133.16.1 to 55.133.23.254 | 55.133.23.255 | 2,046 |
| 164 | 55.133.24.0/21 | 55.133.24.1 to 55.133.31.254 | 55.133.31.255 | 2,046 |
| 165 | 55.133.32.0/21 | 55.133.32.1 to 55.133.39.254 | 55.133.39.255 | 2,046 |
| 166 | 55.133.40.0/21 | 55.133.40.1 to 55.133.47.254 | 55.133.47.255 | 2,046 |
| 167 | 55.133.48.0/21 | 55.133.48.1 to 55.133.55.254 | 55.133.55.255 | 2,046 |
| 168 | 55.133.56.0/21 | 55.133.56.1 to 55.133.63.254 | 55.133.63.255 | 2,046 |
| 169 | 55.133.64.0/21 | 55.133.64.1 to 55.133.71.254 | 55.133.71.255 | 2,046 |
| 170 | 55.133.72.0/21 | 55.133.72.1 to 55.133.79.254 | 55.133.79.255 | 2,046 |
| 171 | 55.133.80.0/21 | 55.133.80.1 to 55.133.87.254 | 55.133.87.255 | 2,046 |
| 172 | 55.133.88.0/21 | 55.133.88.1 to 55.133.95.254 | 55.133.95.255 | 2,046 |
| 173 | 55.133.96.0/21 | 55.133.96.1 to 55.133.103.254 | 55.133.103.255 | 2,046 |
| 174 | 55.133.104.0/21 | 55.133.104.1 to 55.133.111.254 | 55.133.111.255 | 2,046 |
| 175 | 55.133.112.0/21 | 55.133.112.1 to 55.133.119.254 | 55.133.119.255 | 2,046 |
| 176 | 55.133.120.0/21 | 55.133.120.1 to 55.133.127.254 | 55.133.127.255 | 2,046 |
| 177 | 55.133.128.0/21 | 55.133.128.1 to 55.133.135.254 | 55.133.135.255 | 2,046 |
| 178 | 55.133.136.0/21 | 55.133.136.1 to 55.133.143.254 | 55.133.143.255 | 2,046 |
| 179 | 55.133.144.0/21 | 55.133.144.1 to 55.133.151.254 | 55.133.151.255 | 2,046 |
| 180 | 55.133.152.0/21 | 55.133.152.1 to 55.133.159.254 | 55.133.159.255 | 2,046 |
| 181 | 55.133.160.0/21 | 55.133.160.1 to 55.133.167.254 | 55.133.167.255 | 2,046 |
| 182 | 55.133.168.0/21 | 55.133.168.1 to 55.133.175.254 | 55.133.175.255 | 2,046 |
| 183 | 55.133.176.0/21 | 55.133.176.1 to 55.133.183.254 | 55.133.183.255 | 2,046 |
| 184 | 55.133.184.0/21 | 55.133.184.1 to 55.133.191.254 | 55.133.191.255 | 2,046 |
| 185 | 55.133.192.0/21 | 55.133.192.1 to 55.133.199.254 | 55.133.199.255 | 2,046 |
| 186 | 55.133.200.0/21 | 55.133.200.1 to 55.133.207.254 | 55.133.207.255 | 2,046 |
| 187 | 55.133.208.0/21 | 55.133.208.1 to 55.133.215.254 | 55.133.215.255 | 2,046 |
| 188 | 55.133.216.0/21 | 55.133.216.1 to 55.133.223.254 | 55.133.223.255 | 2,046 |
| 189 | 55.133.224.0/21 | 55.133.224.1 to 55.133.231.254 | 55.133.231.255 | 2,046 |
| 190 | 55.133.232.0/21 | 55.133.232.1 to 55.133.239.254 | 55.133.239.255 | 2,046 |
| 191 | 55.133.240.0/21 | 55.133.240.1 to 55.133.247.254 | 55.133.247.255 | 2,046 |
| 192 | 55.133.248.0/21 | 55.133.248.1 to 55.133.255.254 | 55.133.255.255 | 2,046 |
| 193 | 55.134.0.0/21 | 55.134.0.1 to 55.134.7.254 | 55.134.7.255 | 2,046 |
| 194 | 55.134.8.0/21 | 55.134.8.1 to 55.134.15.254 | 55.134.15.255 | 2,046 |
| 195 | 55.134.16.0/21 | 55.134.16.1 to 55.134.23.254 | 55.134.23.255 | 2,046 |
| 196 | 55.134.24.0/21 | 55.134.24.1 to 55.134.31.254 | 55.134.31.255 | 2,046 |
| 197 | 55.134.32.0/21 | 55.134.32.1 to 55.134.39.254 | 55.134.39.255 | 2,046 |
| 198 | 55.134.40.0/21 | 55.134.40.1 to 55.134.47.254 | 55.134.47.255 | 2,046 |
| 199 | 55.134.48.0/21 | 55.134.48.1 to 55.134.55.254 | 55.134.55.255 | 2,046 |
| 200 | 55.134.56.0/21 | 55.134.56.1 to 55.134.63.254 | 55.134.63.255 | 2,046 |
| 201 | 55.134.64.0/21 | 55.134.64.1 to 55.134.71.254 | 55.134.71.255 | 2,046 |
| 202 | 55.134.72.0/21 | 55.134.72.1 to 55.134.79.254 | 55.134.79.255 | 2,046 |
| 203 | 55.134.80.0/21 | 55.134.80.1 to 55.134.87.254 | 55.134.87.255 | 2,046 |
| 204 | 55.134.88.0/21 | 55.134.88.1 to 55.134.95.254 | 55.134.95.255 | 2,046 |
| 205 | 55.134.96.0/21 | 55.134.96.1 to 55.134.103.254 | 55.134.103.255 | 2,046 |
| 206 | 55.134.104.0/21 | 55.134.104.1 to 55.134.111.254 | 55.134.111.255 | 2,046 |
| 207 | 55.134.112.0/21 | 55.134.112.1 to 55.134.119.254 | 55.134.119.255 | 2,046 |
| 208 | 55.134.120.0/21 | 55.134.120.1 to 55.134.127.254 | 55.134.127.255 | 2,046 |
| 209 | 55.134.128.0/21 | 55.134.128.1 to 55.134.135.254 | 55.134.135.255 | 2,046 |
| 210 | 55.134.136.0/21 | 55.134.136.1 to 55.134.143.254 | 55.134.143.255 | 2,046 |
| 211 | 55.134.144.0/21 | 55.134.144.1 to 55.134.151.254 | 55.134.151.255 | 2,046 |
| 212 | 55.134.152.0/21 | 55.134.152.1 to 55.134.159.254 | 55.134.159.255 | 2,046 |
| 213 | 55.134.160.0/21 | 55.134.160.1 to 55.134.167.254 | 55.134.167.255 | 2,046 |
| 214 | 55.134.168.0/21 | 55.134.168.1 to 55.134.175.254 | 55.134.175.255 | 2,046 |
| 215 | 55.134.176.0/21 | 55.134.176.1 to 55.134.183.254 | 55.134.183.255 | 2,046 |
| 216 | 55.134.184.0/21 | 55.134.184.1 to 55.134.191.254 | 55.134.191.255 | 2,046 |
| 217 | 55.134.192.0/21 | 55.134.192.1 to 55.134.199.254 | 55.134.199.255 | 2,046 |
| 218 | 55.134.200.0/21 | 55.134.200.1 to 55.134.207.254 | 55.134.207.255 | 2,046 |
| 219 | 55.134.208.0/21 | 55.134.208.1 to 55.134.215.254 | 55.134.215.255 | 2,046 |
| 220 | 55.134.216.0/21 | 55.134.216.1 to 55.134.223.254 | 55.134.223.255 | 2,046 |
| 221 | 55.134.224.0/21 | 55.134.224.1 to 55.134.231.254 | 55.134.231.255 | 2,046 |
| 222 | 55.134.232.0/21 | 55.134.232.1 to 55.134.239.254 | 55.134.239.255 | 2,046 |
| 223 | 55.134.240.0/21 | 55.134.240.1 to 55.134.247.254 | 55.134.247.255 | 2,046 |
| 224 | 55.134.248.0/21 | 55.134.248.1 to 55.134.255.254 | 55.134.255.255 | 2,046 |
| 225 | 55.135.0.0/21 | 55.135.0.1 to 55.135.7.254 | 55.135.7.255 | 2,046 |
| 226 | 55.135.8.0/21 | 55.135.8.1 to 55.135.15.254 | 55.135.15.255 | 2,046 |
| 227 | 55.135.16.0/21 | 55.135.16.1 to 55.135.23.254 | 55.135.23.255 | 2,046 |
| 228 | 55.135.24.0/21 | 55.135.24.1 to 55.135.31.254 | 55.135.31.255 | 2,046 |
| 229 | 55.135.32.0/21 | 55.135.32.1 to 55.135.39.254 | 55.135.39.255 | 2,046 |
| 230 | 55.135.40.0/21 | 55.135.40.1 to 55.135.47.254 | 55.135.47.255 | 2,046 |
| 231 | 55.135.48.0/21 | 55.135.48.1 to 55.135.55.254 | 55.135.55.255 | 2,046 |
| 232 | 55.135.56.0/21 | 55.135.56.1 to 55.135.63.254 | 55.135.63.255 | 2,046 |
| 233 | 55.135.64.0/21 | 55.135.64.1 to 55.135.71.254 | 55.135.71.255 | 2,046 |
| 234 | 55.135.72.0/21 | 55.135.72.1 to 55.135.79.254 | 55.135.79.255 | 2,046 |
| 235 | 55.135.80.0/21 | 55.135.80.1 to 55.135.87.254 | 55.135.87.255 | 2,046 |
| 236 | 55.135.88.0/21 | 55.135.88.1 to 55.135.95.254 | 55.135.95.255 | 2,046 |
| 237 | 55.135.96.0/21 | 55.135.96.1 to 55.135.103.254 | 55.135.103.255 | 2,046 |
| 238 | 55.135.104.0/21 | 55.135.104.1 to 55.135.111.254 | 55.135.111.255 | 2,046 |
| 239 | 55.135.112.0/21 | 55.135.112.1 to 55.135.119.254 | 55.135.119.255 | 2,046 |
| 240 | 55.135.120.0/21 | 55.135.120.1 to 55.135.127.254 | 55.135.127.255 | 2,046 |
| 241 | 55.135.128.0/21 | 55.135.128.1 to 55.135.135.254 | 55.135.135.255 | 2,046 |
| 242 | 55.135.136.0/21 | 55.135.136.1 to 55.135.143.254 | 55.135.143.255 | 2,046 |
| 243 | 55.135.144.0/21 | 55.135.144.1 to 55.135.151.254 | 55.135.151.255 | 2,046 |
| 244 | 55.135.152.0/21 | 55.135.152.1 to 55.135.159.254 | 55.135.159.255 | 2,046 |
| 245 | 55.135.160.0/21 | 55.135.160.1 to 55.135.167.254 | 55.135.167.255 | 2,046 |
| 246 | 55.135.168.0/21 | 55.135.168.1 to 55.135.175.254 | 55.135.175.255 | 2,046 |
| 247 | 55.135.176.0/21 | 55.135.176.1 to 55.135.183.254 | 55.135.183.255 | 2,046 |
| 248 | 55.135.184.0/21 | 55.135.184.1 to 55.135.191.254 | 55.135.191.255 | 2,046 |
| 249 | 55.135.192.0/21 | 55.135.192.1 to 55.135.199.254 | 55.135.199.255 | 2,046 |
| 250 | 55.135.200.0/21 | 55.135.200.1 to 55.135.207.254 | 55.135.207.255 | 2,046 |
| 251 | 55.135.208.0/21 | 55.135.208.1 to 55.135.215.254 | 55.135.215.255 | 2,046 |
| 252 | 55.135.216.0/21 | 55.135.216.1 to 55.135.223.254 | 55.135.223.255 | 2,046 |
| 253 | 55.135.224.0/21 | 55.135.224.1 to 55.135.231.254 | 55.135.231.255 | 2,046 |
| 254 | 55.135.232.0/21 | 55.135.232.1 to 55.135.239.254 | 55.135.239.255 | 2,046 |
| 255 | 55.135.240.0/21 | 55.135.240.1 to 55.135.247.254 | 55.135.247.255 | 2,046 |
| 256 | 55.135.248.0/21 | 55.135.248.1 to 55.135.255.254 | 55.135.255.255 | 2,046 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |